Favicon

You are here: Home > API Reference > Otpusers > Delete OTP user

DELETE /organizations/:organizationSlug/stores/:storeId/otp-users/:otpUserId

Required Permission: mad.store.otpUsers.remove

Delete an existing OTP user

DELETE
/v1/organizations/:organizationSlug/stores/:storeId/otp-users/:otpUserId
Copy to clipboard

Delete OTP user

Required Permission: mad.store.otpUsers.remove

Delete an existing OTP user

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
storeId string
required
Match pattern: ^[a-fA-F0-9]{24}$
otpUserId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
delete any required
{
    "status": true,
    "data": {
        "delete": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
6001
message string optional
Database Validation Error
{
    "status": false,
    "error": {
        "code": 6001,
        "message": "Database Validation Error"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}